%global momorel 10

Summary: desktop organizer
Name: gimmie

Version: 0.2.8
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/X
URL: http://beatniksoftware.com/gimmie/
Source0: http://www.beatniksoftware.com/%{name}/releases/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: GConf2
BuildRequires: pkgconfig
BuildRequires: gtk2-devel >= 2.12.1
BuildRequires: pygtk2-devel >= 2.12.0
BuildRequires: libgnomecups-devel >= 0.2.2
BuildRequires: gnome-panel-devel >= 2.20.1
Requires: pygtk2
Requires: gnome-panel

%description
Gimmie is a unique desktop organizer for Linux. It's designed to allow
easy interaction with all the applications, contacts, documents and
other things you use every day. Gimmie can be run either as a
stand-alone application or added as a GNOME Panel applet.
#'

%prep
%setup -q

%build
%configure \
    --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
scrollkeeper-update

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for S in "%{name}.schemas"
do
    gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/$S > /dev/null
done

/usr/bin/gtk-update-icon-cache --quiet /usr/share/icons/hicolor

%preun
scrollkeeper-update

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/gimmie.schemas
%{_bindir}/%{name}
%{_libdir}/bonobo/servers/GNOME_GimmieApplet.server
%dir %{_libdir}/python2.6/site-packages/%{name}
%{_libdir}/python2.6/site-packages/%{name}/*
%{_libexecdir}/gimmie_applet
%{_datadir}/gnome-2.0/ui/GNOME_GimmieApplet.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.8-10m)
- full rebuild for mo7 release

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.8-9m)
- use BuildRequires

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.8-8m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.8-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri May 22 2009 Masaru Sanuki <sanuki@momonga-linux.org>
- (0.2.8-6m)
- define __libtoolize (build fix)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.8-5m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.8-5m)
- rebuild against python-2.6.1-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.8-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.8-3m)
- %%NoSource -> NoSource

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.8-2m)
- %%NoSource -> NoSource

* Thu Nov  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.8-1m)
- update to 0.2.8

* Tue Jul 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.7-1m)
- initial build
